<template>
  <ObForm
    :form-data="formData"
    ok-text="Отменить регистрацию"
    cancel-text="Вернуться"
    @submit="onSubmit"
    @close="onCancel"
  >
    <p class="description">
      Владелец {{ roleTitle }} получит уведомление об отмене
    </p>

    <ObInput
      v-model="formData.remove_comment"
      :label="`Комментарий для владельца ${roleTitle}`"
      placeholder="Комментарий"
    />
  </ObForm>
</template>

<script>
  import ObForm from 'common-components/src/obComponents/obForm'
  import ObInput from 'common-components/src/obComponents/obInput'

  import FormValidationMixin from 'common-components/src/obComponents/obForm/FormValidationMixin'

  export default {
    name: 'RejectWarningModal',
    mixins: [
      FormValidationMixin
    ],
    props: {
      isParticipant: {
        type: Boolean,
        default: true
      }
    },
    computed: {
      roleTitle () {
        return this.isParticipant ? 'организации' : 'ресурса'
      }
    },
    components: {
      ObForm,
      ObInput
    },
    methods: {
      onSubmit () {
        this.$emit('submit', this.formData)
      },
      onCancel () {
        this.$emit('cancel')
      }
    }
  }
</script>

<style lang="scss">
  @import '~common-components/src/static/css/mixins';

  .description {
    @include font-mixin(14px, 18px, 400, $color-grey-label);

    margin-bottom: 20px;
  }
</style>
